# $Id:wine-doors.spec 233 2006-08-18 18:05:06Z klattimer $
%define __spec_install_post /usr/lib/rpm/brp-compress
%define prefix /usr
%define config /etc
# %define _unpackaged_files_terminate_build 0
Summary: one-click Windows application installer / wine frontend
Name: wine-doors
Version: 0.0.5
Release: 1
Vendor: wine-doors Team
License: GPL
Packager: wine-doors Team
BuildRoot: /var/tmp/wine-doors.package
Prefix: %{prefix}
#AutoReqProv: no
Requires: libxml2-python, python >= 2.4, pygtk2, pygtk2-libglade, glade2, libglade2, wine

%description
Wine doors is an application designed to assist users in obtaining, installing,
uninstalling and working around the caveats associated with wine applications.
Although wine doors is intended to be a replacement for winetools it is not
limited to release cycles for the applications available to install, instead a
web service will be provided, this web service or repository will serve XML
Pack Lists as an index of applications and Application Packs which provide
information about specific applications as well as various other resources.

Using a web service to connect users to applications means the service can be
community managed thus splitting application installation and configuration
from the user interface used to install the applications. We hope to extend the
current wine application database to allow integration with wine-doors,
allowing the community to manage all aspects of an application installation &
running on wine. 

#---------------------------------------------------------------------------#
# Preparations done before the package software is build.
#---------------------------------------------------------------------------#
%prep

%build
#---------------------------------------------------------------------------#
# Move the software to the install directory.
#---------------------------------------------------------------------------#
%install
# select your preferred method, I can prepare GNU Makefile if you want
#
python ./setup.py install


#---------------------------------------------------------------------------#
# Cleanup things which are not needed anymore.
#---------------------------------------------------------------------------#
%clean

#---------------------------------------------------------------------------#
# Do anything which is needed before installing the software on the target.
#---------------------------------------------------------------------------#
%pre

#---------------------------------------------------------------------------#
# Actions to be done after the the package is installed 
#---------------------------------------------------------------------------#
%post
ln -s %{prefix}/share/wine-doors/src/winedoors.py %{prefix}/bin/winedoors

#---------------------------------------------------------------------------#
# Remove things before removing package.
#---------------------------------------------------------------------------#
%preun

#---------------------------------------------------------------------------#
# Prepare things after the package is removed.
#---------------------------------------------------------------------------#
%postun

#---------------------------------------------------------------------------#
# Put the next files into the package.
#---------------------------------------------------------------------------#
%files
%defattr(755, %{root}, sys)
# system configuration
%attr(755, %{root}, sys) %dir	%{config}/wine-doors
%attr(644, %{root}, sys)	%{config}/wine-doors/default.config.xml
%attr(644, %{root}, sys)	%{config}/wine-doors/system.config.xml

# document type definitions for config/data files
%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors
%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors/dtd
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/dtd/applicationpack.dtd
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/dtd/config.dtd
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/dtd/packlist.dtd

# graphic stuff, icons, etc.
%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors/pixmaps
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/font.png                  
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/microsoft-library.png.svg 
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ms-library.png            
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-details-thumb.png      
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-details.png            
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-firstrun-thumb.png     
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-firstrun.png           
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-general-thumb.png      
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-general.png            
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-queue-thumb.png        
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/ss-queue.png              
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/windows-logo.svg          
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/winedoors-header.png      
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/winedoors-header.svg      
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/pixmaps/winedoors.png             

# python sources and glade files
%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors/src
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/winedoors.glade
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/pack.py      
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/prefs.py     
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/queue.py     
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/ui.py        
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/src/utils.py     
%attr(755, %{root}, sys)	%{prefix}/share/wine-doors/src/winedoors.py 

# initial repositories
%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors/base.repo
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/base.repo/packlist.xml.gz

%attr(755, %{root}, sys) %dir	%{prefix}/share/wine-doors/global.repo
%attr(644, %{root}, sys)	%{prefix}/share/wine-doors/global.repo/packlist.xml.gz
